当前时区为 UTC + 8 小时



发表新帖 回复这个主题  [ 11 篇帖子 ] 
作者 内容
1 楼 
 文章标题 : 无法启动“更新管理器”
帖子发表于 : 2009-06-28 3:10 

注册: 2009-05-20 14:51
帖子: 34
送出感谢: 0 次
接收感谢: 0 次
在图形界面启动更新管理器(名令行可以更新),出现 {执行子进程“/usr/bin/update-manager”失败(没有该文件或目录)}错误提示。双击deb包无法安装.

sopcast-playere,无法安装上了,错误提示
如下
dell@dell-M:~$ sopcast-player
/usr/bin/sopcast-player: 2: /usr/bin/python2.5: not found
dell@dell-M:~$ sudo apt-get install python2.5
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
python2.5 已经是最新的版本了。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。

dell@dell-M:~$ sopcast-player
/usr/bin/sopcast-player: 2: /usr/bin/python2.5: not found
貌似是/usr/bin/底下的python被我误删还是怎么的。。其它一些的软件也无法启动了(tweak)
怎么能够修复它阿。求救!!1

l


页首
 用户资料  
 
2 楼 
 文章标题 : Re: 无法启动“更新管理器”
帖子发表于 : 2009-06-28 3:43 
头像

注册: 2007-06-13 15:57
帖子: 12564
地址: 在他乡
送出感谢: 50
接收感谢: 86
记得是编辑sopcast-player,改成 2.6的


页首
 用户资料  
 
3 楼 
 文章标题 : Re: 无法启动“更新管理器”
帖子发表于 : 2009-06-28 10:31 

注册: 2009-05-20 14:51
帖子: 34
送出感谢: 0 次
接收感谢: 0 次
daf3707 写道:
记得是编辑sopcast-player,改成 2.6的

sudo gedit /usr/bin/sopcast-player,
全新安装的时候是要修改,把其中的python改为2.5,然后更新的。但现在问题是,我好像把/usr/bin/下的python都删了。这压根没用了。那位兄弟给我copy
{/usr/bin/底下的python、python2.5、python2.6} :em06 给我。试着覆盖回去看行不行


页首
 用户资料  
 
4 楼 
 文章标题 : Re: 无法启动“更新管理器”
帖子发表于 : 2009-06-29 1:34 

注册: 2009-05-20 14:51
帖子: 34
送出感谢: 0 次
接收感谢: 0 次
:em20 :em20 没人给我个copy阿。似乎这几个文件的重要性很大哦。。。


页首
 用户资料  
 
5 楼 
 文章标题 : Re: 无法启动“更新管理器”
帖子发表于 : 2009-06-29 10:08 
头像

注册: 2007-06-13 15:57
帖子: 12564
地址: 在他乡
送出感谢: 50
接收感谢: 86
那就重新安装python


页首
 用户资料  
 
6 楼 
 文章标题 : Re: 无法启动“更新管理器”
帖子发表于 : 2009-06-29 11:41 

注册: 2009-05-20 14:51
帖子: 34
送出感谢: 0 次
接收感谢: 0 次
daf3707 写道:
那就重新安装python


dell@dell-M:~$ sudo apt-get install python2.5
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
python2.5 已经是最新的版本了。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级


试过了,不行。。难道要卸了重装?python整体好像有800M呢!!而且很多软件好像都跟它有依赖关系。 :em20 :em20


页首
 用户资料  
 
7 楼 
 文章标题 : Re: 无法启动“更新管理器”
帖子发表于 : 2009-06-29 11:51 
头像

注册: 2009-02-25 18:18
帖子: 2229
送出感谢: 0 次
接收感谢: 0 次
livefun 写道:
daf3707 写道:
那就重新安装python


dell@dell-M:~$ sudo apt-get install python2.5
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
python2.5 已经是最新的版本了。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级


试过了,不行。。难道要卸了重装?python整体好像有800M呢!!而且很多软件好像都跟它有依赖关系。 :em20 :em20

你看看新力得里面有没有重新安装,或者man 下apt-get我记得有重装的参数,我现在在xp下,没法试验 :em06


_________________
在中国搞IT的谁不知道Ctrl+C,Ctrl+V啊~


页首
 用户资料  
 
8 楼 
 文章标题 : Re: 无法启动“更新管理器”
帖子发表于 : 2009-06-29 13:42 

注册: 2009-05-20 14:51
帖子: 34
送出感谢: 0 次
接收感谢: 0 次
AngelMAX 写道:
livefun 写道:
daf3707 写道:
那就重新安装python


dell@dell-M:~$ sudo apt-get install python2.5
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
python2.5 已经是最新的版本了。
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级


试过了,不行。。难道要卸了重装?python整体好像有800M呢!!而且很多软件好像都跟它有依赖关系。 :em20 :em20

你看看新力得里面有没有重新安装,或者man 下apt-get我记得有重装的参数,我现在在xp下,没法试验 :em06


重新安装不了



ell@dell-M:~$ sudo apt-get install --reinstall python
[sudo] password for dell:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
共升级了 0 个软件包,新安装了 0 个软件包,共重新安装了 1 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
有 3 个软件包没有被完全安装或卸载。
需要下载 0B/141kB 的软件包。
解压缩后会消耗掉 0B 的额外空间。
您希望继续执行吗?[Y/n]
(正在读取数据库 ... 系统当前总共安装有 128365 个文件和目录。)
正预备替换 python 2.6.2-0ubuntu1 (使用 .../python_2.6.2-0ubuntu1_all.deb) ...
正在解压缩将用于更替的包文件 python ...
正在处理用于 man-db 的触发器...
正在处理用于 doc-base 的触发器...
Processing 1 changed doc-base file(s)...
Registering documents with scrollkeeper...
正在设置 python (2.6.2-0ubuntu1) ...

正在设置 python-support (0.8.7ubuntu4) ...
/var/lib/dpkg/info/python-support.postinst: 11: update-python-modules: not found
dpkg:处理 python-support (--configure)时出错:
子进程 post-installation script 返回了错误号 127
正在设置 python-pkg-resources (0.6c9-0ubuntu4) ...
/var/lib/dpkg/info/python-pkg-resources.postinst: 10: pycentral: not found
dpkg:处理 python-pkg-resources (--configure)时出错:
子进程 post-installation script 返回了错误号 127
正在设置 python-uno (1:3.0.1-9ubuntu3) ...
/var/lib/dpkg/info/python-uno.postinst: 10: pycentral: not found
dpkg:处理 python-uno (--configure)时出错:
子进程 post-installation script 返回了错误号 127
在处理时有错误发生:
python-support
python-pkg-resources
python-uno
E: Sub-process /usr/bin/dpkg returned an error code (1)
dell@dell-M:~$ sudo apt-get install -f
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
共升级了 0 个软件包,新安装了 0 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
有 3 个软件包没有被完全安装或卸载。
解压缩后会消耗掉 0B 的额外空间。
正在设置 python-support (0.8.7ubuntu4) ...
/var/lib/dpkg/info/python-support.postinst: 11: update-python-modules: not found
dpkg:处理 python-support (--configure)时出错:
子进程 post-installation script 返回了错误号 127
正在设置 python-pkg-resources (0.6c9-0ubuntu4) ...
/var/lib/dpkg/info/python-pkg-resources.postinst: 10: pycentral: not found
dpkg:处理 python-pkg-resources (--configure)时出错:
附件:
Screenshot-1.png
Screenshot-1.png [ 50.73 KiB | 被浏览 172 次 ]

附件:
Screenshot-1.png
Screenshot-1.png [ 50.73 KiB | 被浏览 172 次 ]


子进程 post-installation script 返回了错误号 127
正在设置 python-uno (1:3.0.1-9ubuntu3) ...
/var/lib/dpkg/info/python-uno.postinst: 10: pycentral: not found
dpkg:处理 python-uno (--configure)时出错:
子进程 post-installation script 返回了错误号 127
在处理时有错误发生:
python-support
python-pkg-resources
python-uno
E: Sub-process /usr/bin/dpkg returned an error code (1)


页首
 用户资料  
 
9 楼 
 文章标题 : Re: 无法启动“更新管理器”
帖子发表于 : 2009-07-01 13:46 

注册: 2009-05-20 14:51
帖子: 34
送出感谢: 0 次
接收感谢: 0 次
没人打救我阿


页首
 用户资料  
 
10 楼 
 文章标题 : Re: 无法启动“更新管理器”
帖子发表于 : 2009-07-01 17:39 

注册: 2009-05-20 14:51
帖子: 34
送出感谢: 0 次
接收感谢: 0 次
dell@dell-M:~$ sudo apt-get install amsn
[sudo] password for dell:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
将会安装下列额外的软件包:
amsn-data libsnack2-alsa tcl-tls tcl8.5 tk8.5
建议安装的软件包:
docker tclsh libsnack2-doc tclreadline
下列【新】软件包将被安装:
amsn amsn-data libsnack2-alsa tcl-tls tcl8.5 tk8.5
共升级了 0 个软件包,新安装了 6 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
有 3 个软件包没有被完全安装或卸载。
需要下载 6585kB 的软件包。
解压缩后会消耗掉 20.5MB 的额外空间。
您希望继续执行吗?[Y/n]y
获取:1 http://cn.archive.ubuntu.com jaunty/universe amsn-data 0.97.2~debian-2ubuntu2 [3226kB]
获取:2 http://cn.archive.ubuntu.com jaunty/main tcl8.5 8.5.6-3 [1544kB]
获取:3 http://cn.archive.ubuntu.com jaunty/main tk8.5 8.5.6-3 [1114kB]
获取:4 http://cn.archive.ubuntu.com jaunty/universe tcl-tls 1.5.0.dfsg-9 [70.7kB]
获取:5 http://cn.archive.ubuntu.com jaunty/universe libsnack2-alsa 2.2.10-dfsg1-8 [358kB]
获取:6 http://cn.archive.ubuntu.com jaunty/universe amsn 0.97.2~debian-2ubuntu2 [273kB]
下载 6585kB,耗时 11min 15s (9751B/s)
选中了曾被取消选择的软件包 amsn-data。
(正在读取数据库 ... 系统当前总共安装有 128365 个文件和目录。)
正在解压缩 amsn-data (从 .../amsn-data_0.97.2~debian-2ubuntu2_all.deb) ...
选中了曾被取消选择的软件包 tcl8.5。
正在解压缩 tcl8.5 (从 .../tcl8.5_8.5.6-3_i386.deb) ...
选中了曾被取消选择的软件包 tk8.5。
正在解压缩 tk8.5 (从 .../tk8.5_8.5.6-3_i386.deb) ...
选中了曾被取消选择的软件包 tcl-tls。
正在解压缩 tcl-tls (从 .../tcl-tls_1.5.0.dfsg-9_i386.deb) ...
选中了曾被取消选择的软件包 libsnack2-alsa。
正在解压缩 libsnack2-alsa (从 .../libsnack2-alsa_2.2.10-dfsg1-8_i386.deb) ...
选中了曾被取消选择的软件包 amsn。
正在解压缩 amsn (从 .../amsn_0.97.2~debian-2ubuntu2_i386.deb) ...
正在处理用于 man-db 的触发器...
正在设置 python-support (0.8.7ubuntu4) ...
/var/lib/dpkg/info/python-support.postinst: 11: update-python-modules: not found
dpkg:处理 python-support (--configure)时出错:
子进程 post-installation script 返回了错误号 127
正在设置 python-pkg-resources (0.6c9-0ubuntu4) ...
/var/lib/dpkg/info/python-pkg-resources.postinst: 10: pycentral: not found
dpkg:处理 python-pkg-resources (--configure)时出错:
子进程 post-installation script 返回了错误号 127
正在设置 python-uno (1:3.0.1-9ubuntu3) ...
/var/lib/dpkg/info/python-uno.postinst: 10: pycentral: not found
dpkg:处理 python-uno (--configure)时出错:
子进程 post-installation script 返回了错误号 127
正在设置 amsn-data (0.97.2~debian-2ubuntu2) ...
正在设置 tcl8.5 (8.5.6-3) ...

正在设置 tk8.5 (8.5.6-3) ...

正在设置 tcl-tls (1.5.0.dfsg-9) ...

正在设置 libsnack2-alsa (2.2.10-dfsg1-8) ...
正在设置 amsn (0.97.2~debian-2ubuntu2) ...

正在处理用于 libc6 的触发器...
ldconfig deferred processing now taking place
在处理时有错误发生:
python-support
python-pkg-resources
python-uno
E: Sub-process /usr/bin/dpkg returned an error code (1)


页首
 用户资料  
 
11 楼 
 文章标题 : Re: 无法启动“更新管理器”
帖子发表于 : 2009-07-01 17:43 

注册: 2009-05-20 14:51
帖子: 34
送出感谢: 0 次
接收感谢: 0 次
livefun 写道:
dell@dell-M:~$ sudo apt-get install amsn
[sudo] password for dell:
正在读取软件包列表... 完成
正在分析软件包的依赖关系树
正在读取状态信息... 完成
将会安装下列额外的软件包:
amsn-data libsnack2-alsa tcl-tls tcl8.5 tk8.5
建议安装的软件包:
docker tclsh libsnack2-doc tclreadline
下列【新】软件包将被安装:
amsn amsn-data libsnack2-alsa tcl-tls tcl8.5 tk8.5
共升级了 0 个软件包,新安装了 6 个软件包,要卸载 0 个软件包,有 0 个软件未被升级。
有 3 个软件包没有被完全安装或卸载。
需要下载 6585kB 的软件包。
解压缩后会消耗掉 20.5MB 的额外空间。

您希望继续执行吗?[Y/n]y
获取:1 http://cn.archive.ubuntu.com jaunty/universe amsn-data 0.97.2~debian-2ubuntu2 [3226kB]
获取:2 http://cn.archive.ubuntu.com jaunty/main tcl8.5 8.5.6-3 [1544kB]
获取:3 http://cn.archive.ubuntu.com jaunty/main tk8.5 8.5.6-3 [1114kB]
获取:4 http://cn.archive.ubuntu.com jaunty/universe tcl-tls 1.5.0.dfsg-9 [70.7kB]
获取:5 http://cn.archive.ubuntu.com jaunty/universe libsnack2-alsa 2.2.10-dfsg1-8 [358kB]
获取:6 http://cn.archive.ubuntu.com jaunty/universe amsn 0.97.2~debian-2ubuntu2 [273kB]
下载 6585kB,耗时 11min 15s (9751B/s)
选中了曾被取消选择的软件包 amsn-data。
(正在读取数据库 ... 系统当前总共安装有 128365 个文件和目录。)
正在解压缩 amsn-data (从 .../amsn-data_0.97.2~debian-2ubuntu2_all.deb) ...
选中了曾被取消选择的软件包 tcl8.5。
正在解压缩 tcl8.5 (从 .../tcl8.5_8.5.6-3_i386.deb) ...
选中了曾被取消选择的软件包 tk8.5。
正在解压缩 tk8.5 (从 .../tk8.5_8.5.6-3_i386.deb) ...
选中了曾被取消选择的软件包 tcl-tls。
正在解压缩 tcl-tls (从 .../tcl-tls_1.5.0.dfsg-9_i386.deb) ...
选中了曾被取消选择的软件包 libsnack2-alsa。
正在解压缩 libsnack2-alsa (从 .../libsnack2-alsa_2.2.10-dfsg1-8_i386.deb) ...
选中了曾被取消选择的软件包 amsn。
正在解压缩 amsn (从 .../amsn_0.97.2~debian-2ubuntu2_i386.deb) ...
正在处理用于 man-db 的触发器...
正在设置 python-support (0.8.7ubuntu4) ...
/var/lib/dpkg/info/python-support.postinst: 11: update-python-modules: not found
dpkg:处理 python-support (--configure)时出错:
子进程 post-installation script 返回了错误号 127
正在设置 python-pkg-resources (0.6c9-0ubuntu4) ...
/var/lib/dpkg/info/python-pkg-resources.postinst: 10: pycentral: not found
dpkg:处理 python-pkg-resources (--configure)时出错:
子进程 post-installation script 返回了错误号 127
正在设置 python-uno (1:3.0.1-9ubuntu3) ...
/var/lib/dpkg/info/python-uno.postinst: 10: pycentral: not found
dpkg:处理 python-uno (--configure)时出错:
子进程 post-installation script 返回了错误号 127
正在设置 amsn-data (0.97.2~debian-2ubuntu2) ...
正在设置 tcl8.5 (8.5.6-3) ...

正在设置 tk8.5 (8.5.6-3) ...

正在设置 tcl-tls (1.5.0.dfsg-9) ...

正在设置 libsnack2-alsa (2.2.10-dfsg1-8) ...
正在设置 amsn (0.97.2~debian-2ubuntu2) ...

正在处理用于 libc6 的触发器...
ldconfig deferred processing now taking place
在处理时有错误发生:
python-support
python-pkg-resources
python-uno
E: Sub-process /usr/bin/dpkg returned an error code (1)

谁能告诉我怎么解决这个问题阿? :em20 :em20 :em20 :em20


页首
 用户资料  
 
显示帖子 :  排序  
发表新帖 回复这个主题  [ 11 篇帖子 ] 

当前时区为 UTC + 8 小时


在线用户

正在浏览此版面的用户:没有注册用户 和 2 位游客


不能 在这个版面发表主题
不能 在这个版面回复主题
不能 在这个版面编辑帖子
不能 在这个版面删除帖子
不能 在这个版面提交附件

前往 :  
本站点为公益性站点,用于推广开源自由软件,由 DiaHosting VPSBudgetVM VPS 提供服务。
我们认为:软件应可免费取得,软件工具在各种语言环境下皆可使用,且不会有任何功能上的差异;
人们应有定制和修改软件的自由,且方式不受限制,只要他们自认为合适。

Powered by phpBB © 2000, 2002, 2005, 2007 phpBB Group
简体中文语系由 王笑宇 翻译